UMOUNT(8)

NAME
umount - unmount file systems

SYNOPSIS
umount [-fNnv] special ... | node ... | fsid ...
umount -a | -A [-F fstab] [-fnv] [-h host] [-t type]

DESCRIPTION
The umount utility calls the unmount(2) system call to remove a file system from the file system tree. The file system can be specified by its special device or remote node (rhost:path), the path to the mount point node or by the file system ID fsid as reported by “mount -v” when run by root.

The options are as follows:

-a  All the file systems described in fstab(5) are unmounted.

-A  All the currently mounted file systems are unmounted, except for those mounted at / or /dev.

-F fstab
    Specify the fstab file to use.

-f  The file system is forcibly unmounted. Active special devices continue to work, but all other files return errors if further accesses are attempted. The root file system cannot be forcibly unmounted. For NFS, a forced dismount can take up to 1 minute or more to complete against an unresponsive server and may throw away data not yet written to the server for this case. If a process, such as umount without the -f flag is hung on an NFS mount point, use the -N flag instead. Also, doing a forced dismount of an NFSv3 mount when rpc.lockd(8) is running is unsafe and can result in a crash.

-h host
    Only file systems mounted from the specified host will be unmounted. This option implies the -A option and, unless otherwise specified with the -t option, will only unmount NFS file systems.

-N  Do a forced dismount of an NFS mount point without checking the mount path. This option can only be used with the path to the mount point node and the path must be specified exactly as it was at mount time. This option is useful when a process is hung waiting for an unresponsive NFS server while holding a vnode lock on the mounted-on vnode, such that umount with the -f flag can't complete. Using this option can result in a loss of file updates that have not been flushed to the NFS server.

-n  Unless the -f is used, the umount will not unmount an active file system. It will, however, perform a flush. This flag disables this behaviour, preventing the flush if there are any files open.

-t type
    Is used to indicate the actions should only be taken on file systems of the specified type. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. For example, the umount command:

        umount -a -t nfs,nullfs

    unmounts all file systems of the type NFS and NULLFS that are listed in the fstab(5) file.

-v  Verbose, additional information is printed out as each file system is unmounted.

ENVIRONMENT

PATH_FSTAB
    If the environment variable PATH_FSTAB is set, all operations are performed against the specified file. PATH_FSTAB will not be honored if the process environment or memory address space is considered “tainted”. (See issetugid(2) for more information.)

FILES
/etc/fstab
    file system table

SEE ALSO
unmount(2), fstab(5), autounmountd(8), mount(8)

HISTORY
A umount utility appeared in AT&T UNIX.